# Translator

> **Version:** langchain-mariadb v0.0.21

## MariaDBTranslator

Translate `MariaDB` internal query language elements to valid filters.

### Methods

#### `visit_operation`

```python
visit_operation(operation: Operation) -> Dict
```

#### `visit_comparison`

```python
visit_comparison(comparison: Comparison) -> Dict
```

#### `visit_structured_query`

```python
visit_structured_query(structured_query: StructuredQuery) -> Tuple[str, dict]
```

### Attributes

* **allowed\_operators**: Subset of allowed logical operators.
* **allowed\_comparators**: Subset of allowed logical comparators.

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/connectors/other/langchain-mariadb/api-reference/translator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
